# Method Standards.URI()->reparse_uri()

Method reparse_uri

  ``void` reparse_uri()`
  ``void` reparse_uri(`URI` `base_uri`)`
  ``void` reparse_uri(`string` `base_uri`)`

Description

  Reparse the URI with respect to a new base URI. If no base_uri was supplied, the old base_uri is thrown away. The resolving is performed according to the guidelines outlined by RFC 2396, Uniform Resource Identifiers (URI): Generic Syntax.

Parameter `base_uri`

  Set the new base URI to this.

Throws

  An exception is thrown if the `uri` is a relative URI or only a fragment, and missing a `base_uri`.